Table of Contents

Class Request

Namespace
OpenQA.Selenium.DevTools.V148.Network
Assembly
Selenium.WebDriver.dll

HTTP request data.

public sealed class Request
Inheritance
Request
Inherited Members

Properties

HasPostData

True when the request has POST data. Note that postData might still be omitted when this flag is true when the data is too long.

[JsonPropertyName("hasPostData")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public bool? HasPostData { get; set; }

Property Value

bool?

Headers

HTTP request headers.

[JsonPropertyName("headers")]
public Headers Headers { get; set; }

Property Value

Headers

InitialPriority

Priority of the resource request at the time request is sent.

[JsonPropertyName("initialPriority")]
public ResourcePriority InitialPriority { get; set; }

Property Value

ResourcePriority

IsAdRelated

True when the resource request is ad-related.

[JsonPropertyName("isAdRelated")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public bool? IsAdRelated { get; set; }

Property Value

bool?

IsLinkPreload

Whether is loaded via link preload.

[JsonPropertyName("isLinkPreload")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public bool? IsLinkPreload { get; set; }

Property Value

bool?

IsSameSite

True if this resource request is considered to be the 'same site' as the request corresponding to the main frame.

[JsonPropertyName("isSameSite")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public bool? IsSameSite { get; set; }

Property Value

bool?

Method

HTTP request method.

[JsonPropertyName("method")]
public string Method { get; set; }

Property Value

string

MixedContentType

The mixed content type of the request.

[JsonPropertyName("mixedContentType")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public MixedContentType? MixedContentType { get; set; }

Property Value

MixedContentType?

PostData

HTTP POST request data. Use postDataEntries instead.

[JsonPropertyName("postData")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public string? PostData { get; set; }

Property Value

string

PostDataEntries

Request body elements (post data broken into individual entries).

[JsonPropertyName("postDataEntries")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public PostDataEntry[]? PostDataEntries { get; set; }

Property Value

PostDataEntry[]

ReferrerPolicy

The referrer policy of the request, as defined in https://www.w3.org/TR/referrer-policy/

[JsonPropertyName("referrerPolicy")]
public RequestReferrerPolicyValues ReferrerPolicy { get; set; }

Property Value

RequestReferrerPolicyValues

TrustTokenParams

Set for requests when the TrustToken API is used. Contains the parameters passed by the developer (e.g. via "fetch") as understood by the backend.

[JsonPropertyName("trustTokenParams")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public TrustTokenParams? TrustTokenParams { get; set; }

Property Value

TrustTokenParams

Url

Request URL (without fragment).

[JsonPropertyName("url")]
public string Url { get; set; }

Property Value

string

UrlFragment

Fragment of the requested URL starting with hash, if present.

[JsonPropertyName("urlFragment")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public string? UrlFragment { get; set; }

Property Value

string